Loading...
Searching...
No Matches
bulkcfg::BulkConfiguration::FilterProfile Struct Reference

Filter profiles are named collections of filters. More...

## Public Attributes

string | name
| name of the filter profile
string | description
| description of the filter profile
map< string, FilterType > | filterNameToTypeMap
| map filter name to type

## Detailed Description

Filter profiles are named collections of filters.

Custom filter profiles inherit all filters from the builtin profile, i.e. if the filter profile is empty it is identical to the builtin profile. The type for most of the inherited filters can be changed in the derived profile. Only filters with the noOverride flag set are unchangable.

Definition at line 58 of file BulkConfiguration.idl.

## Member Data Documentation

## description

string bulkcfg::BulkConfiguration::FilterProfile::description

description of the filter profile

Definition at line 60 of file BulkConfiguration.idl.

## filterNameToTypeMap

map<string,FilterType> bulkcfg::BulkConfiguration::FilterProfile::filterNameToTypeMap

map filter name to type

Definition at line 61 of file BulkConfiguration.idl.

## name

string bulkcfg::BulkConfiguration::FilterProfile::name

name of the filter profile

Definition at line 59 of file BulkConfiguration.idl.

The documentation for this struct was generated from the following file:

- BulkConfiguration.idl